<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".FragmentWW">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view_warmwasser_oben"
        android:layout_width="match_parent"
        android:layout_height="470dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginTop="10dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!-- Line 1 -->
            <CheckBox
                android:id="@+id/check_wwZeit1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:textColor="#000000"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/switch_silentModeWw1"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck" />


            <!-- Line 2 -->

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_wwZeit1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="5dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_wwZeit2"
                app:layout_constraintStart_toEndOf="@+id/switch_silentModeWw1"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_wwZeit2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/btn_wwZeit1"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_silentModeWw1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:enabled="false"
                android:theme="@style/Switch.TrackTint"
                app:layout_constraintEnd_toStartOf="@+id/btn_wwZeit1"
                app:layout_constraintStart_toEndOf="@+id/check_wwZeit1"
                app:layout_constraintTop_toTopOf="parent"
                app:switchMinWidth="70dp" />

            <CheckBox
                android:id="@+id/check_wwZeit2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="13dp"
                android:textColor="#000000"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/switch_silentModeWw2"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/check_wwZeit1" />

            <!-- Line 3 -->

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_wwZeit3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="5dp"
                android:layout_marginTop="13dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_wwZeit4"
                app:layout_constraintStart_toEndOf="@+id/switch_silentModeWw2"
                app:layout_constraintTop_toBottomOf="@+id/btn_wwZeit1"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_wwZeit4"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="13dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/btn_wwZeit3"
                app:layout_constraintTop_toBottomOf="@+id/btn_wwZeit2"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_silentModeWw2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="13dp"
                android:enabled="false"
                android:theme="@style/Switch.TrackTint"
                app:layout_constraintEnd_toStartOf="@+id/btn_wwZeit3"
                app:layout_constraintStart_toEndOf="@+id/check_wwZeit2"
                app:layout_constraintTop_toBottomOf="@id/btn_wwZeit2"
                app:switchMinWidth="70dp" />

            <CheckBox
                android:id="@+id/check_wwZeit3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="13dp"
                android:checked="false"
                android:textColor="#000000"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/switch_silentModeWw3"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/check_wwZeit2" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_wwZeit5"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="5dp"
                android:layout_marginTop="13dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_wwZeit6"
                app:layout_constraintStart_toEndOf="@+id/switch_silentModeWw3"
                app:layout_constraintTop_toBottomOf="@+id/btn_wwZeit3"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_wwZeit6"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="13dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"

                android:textSize="24sp"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/btn_wwZeit5"
                app:layout_constraintTop_toBottomOf="@+id/btn_wwZeit4"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <!-- Line 4 -->
            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_silentModeWw3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="13dp"
                android:enabled="false"
                android:theme="@style/Switch.TrackTint"
                app:layout_constraintEnd_toStartOf="@+id/btn_wwZeit5"
                app:layout_constraintStart_toEndOf="@+id/check_wwZeit3"
                app:layout_constraintTop_toBottomOf="@+id/switch_silentModeWw2"
                app:switchMinWidth="70dp" />

            <TextView
                android:id="@+id/tv_wwMin"
                android:layout_width="0dp"
                android:layout_height="70dp"
                android:layout_marginStart="10dp"
                android:gravity="center"
                android:text="@string/min"
                android:textAlignment="center"
                android:textColor="#000000"
                android:textSize="24sp"
                app:layout_constraintEnd_toStartOf="@+id/tv_wwMinVal"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/check_wwZeit3" />

            <TextView
                android:id="@+id/tv_wwMinVal"
                android:layout_width="0dp"
                android:layout_height="70dp"
                android:gravity="center"
                android:textColor="#000000"
                android:textSize="28sp"
                app:layout_constraintEnd_toStartOf="@+id/seekBar_wwMin"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@+id/tv_wwMin"
                app:layout_constraintTop_toBottomOf="@id/check_wwZeit3" />

            <SeekBar
                android:id="@+id/seekBar_wwMin"
                android:layout_width="0dp"
                android:layout_height="70dp"
                android:layout_marginEnd="10dp"
                android:indeterminate="false"
                android:max="44"
                android:min="35"
                android:progressTint="@color/light_blue_900"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_weight="4"
                app:layout_constraintStart_toEndOf="@+id/tv_wwMinVal"
                app:layout_constraintTop_toBottomOf="@id/check_wwZeit3" />

            <!-- Line 5 -->
            <TextView
                android:id="@+id/tv_wwMax"
                android:layout_width="0dp"
                android:layout_height="70dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:gravity="center"
                android:text="@string/max"
                android:textAlignment="center"
                android:textColor="#000000"
                android:textSize="24sp"
                app:layout_constraintEnd_toStartOf="@+id/tv_wwMaxVal"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_wwMin" />

            <TextView
                android:id="@+id/tv_wwMaxVal"
                android:layout_width="0dp"
                android:layout_height="70dp"
                android:layout_marginTop="5dp"
                android:gravity="center"
                android:textColor="#000000"
                android:textSize="28sp"
                app:layout_constraintEnd_toStartOf="@+id/seekBar_wwMax"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@+id/tv_wwMax"
                app:layout_constraintTop_toBottomOf="@+id/tv_wwMinVal" />

            <SeekBar
                android:id="@+id/seekBar_wwMax"
                android:layout_width="0dp"
                android:layout_height="70dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:max="50"
                android:min="40"
                android:progressTint="@color/light_blue_900"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_weight="4"
                app:layout_constraintStart_toEndOf="@+id/tv_wwMaxVal"
                app:layout_constraintTop_toBottomOf="@+id/seekBar_wwMin" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="50dp"
                android:layout_marginStart="13dp"
                android:layout_marginEnd="10dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/seekBar_wwMax">

                <TextView
                    android:id="@+id/tv_boilerUnten"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:textSize="16sp"
                    android:text="@string/boiler_nunten"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tv_boilerUntenVal"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="3"
                    android:gravity="center_vertical"
                    android:textSize="20sp"
                    android:text="@string/_38"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tv_boilerOben"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:textSize="16sp"
                    android:text="@string/boiler_noben"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tv_boilerObenVal"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:textSize="20sp"
                    android:text="@string/_44"
                    android:textColor="#000000" />
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>

    <!-- Line 6 -->
    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_HzSend"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/werte_ndern"
        android:textColor="#FFFFFF"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/card_view_warmwasser_oben"
        tools:ignore="TextContrastCheck" />


</androidx.constraintlayout.widget.ConstraintLayout>